<?php
/*
	Total RSS : Plugin for for GuppY 4.5
	under CeCILL v2 Free Software Agreement
	Copyright (C) 2006-2007 by  HPSAM
	Web site = http://www.hpsam.info
*/
Header("content-type: application/xml");
define("CHEMIN", "../../");

include_once(CHEMIN."inc/reglobals.inc");
include_once(CHEMIN."data/config.inc");
include_once(CHEMIN."inc/functions.php");

if (!isset($_GET['lng'])) {
 $lng = $lang[0];
}
elseif (($lng != $lang[0]) && ($lng != $lang[1])) {
 $lng = $lang[0];
}
else {
 $lng = $_GET['lng'];
}

$fl = $_GET['fl'];
if (!(ereg("^([0-9]|1[0-1])$",$fl)) || !isset($_GET['fl'])) {
 $fl = 0;
}

include_once(CHEMIN."plugins/total_rss/function.inc");
$ISOcode = "88591";

define("TRSSCACHE", CHEMIN."plugins/total_rss/cache/flux_");

function EncodeISO($textin,$code) {
  if ($code == "88591") {
    $textout = htmlentities(htmlspecialchars(strip_tags($textin)));
    $textout = str_replace("&nbsp;",  "&#160;",$textout);
    $textout = str_replace("&iexcl;", "&#161;",$textout);
    $textout = str_replace("&cent;",  "&#162;",$textout);
    $textout = str_replace("&pound;", "&#163;",$textout);
    $textout = str_replace("&curren;","&#164;",$textout);
    $textout = str_replace("&yen;",   "&#165;",$textout);
    $textout = str_replace("&brvbar;","&#166;",$textout);
    $textout = str_replace("&sect;",  "&#167;",$textout);
    $textout = str_replace("&uml;",   "&#168;",$textout);
    $textout = str_replace("&copy;",  "&#169;",$textout);
    $textout = str_replace("&ordf;",  "&#170;",$textout);
    $textout = str_replace("&laquo;", "&#171;",$textout);
    $textout = str_replace("&not;",   "&#172;",$textout);
    $textout = str_replace("&shy;",   "&#173;",$textout);
    $textout = str_replace("&reg;",   "&#174;",$textout);
    $textout = str_replace("&macr;",  "&#175;",$textout);
    $textout = str_replace("&deg;",   "&#176;",$textout);
    $textout = str_replace("&plusmn;","&#177;",$textout);
    $textout = str_replace("&sup2;",  "&#178;",$textout);
    $textout = str_replace("&sup3;",  "&#179;",$textout);
    $textout = str_replace("&acute;", "&#180;",$textout);
    $textout = str_replace("&micro;", "&#181;",$textout);
    $textout = str_replace("&para;",  "&#182;",$textout);
    $textout = str_replace("&middot;","&#183;",$textout);
    $textout = str_replace("&cedil;", "&#184;",$textout);
    $textout = str_replace("&sup1;",  "&#185;",$textout);
    $textout = str_replace("&ordm;",  "&#186;",$textout);
    $textout = str_replace("&raquo;", "&#187;",$textout);
    $textout = str_replace("&frac14;","&#188;",$textout);
    $textout = str_replace("&frac12;","&#189;",$textout);
    $textout = str_replace("&frac34;","&#190;",$textout);
    $textout = str_replace("&iquest;","&#191;",$textout);
    $textout = str_replace("&Agrave;","&#192;",$textout);
    $textout = str_replace("&Aacute;","&#193;",$textout);
    $textout = str_replace("&Acirc;", "&#194;",$textout);
    $textout = str_replace("&Atilde;","&#195;",$textout);
    $textout = str_replace("&Auml;",  "&#196;",$textout);
    $textout = str_replace("&Aring;", "&#197;",$textout);
    $textout = str_replace("&AElig;", "&#198;",$textout);
    $textout = str_replace("&Ccedil;","&#199;",$textout);
    $textout = str_replace("&Egrave;","&#200;",$textout);
    $textout = str_replace("&Eacute;","&#201;",$textout);
    $textout = str_replace("&Ecirc;", "&#202;",$textout);
    $textout = str_replace("&Euml;",  "&#203;",$textout);
    $textout = str_replace("&Igrave;","&#204;",$textout);
    $textout = str_replace("&Iacute;","&#205;",$textout);
    $textout = str_replace("&Icirc;", "&#206;",$textout);
    $textout = str_replace("&Iuml;",  "&#207;",$textout);
    $textout = str_replace("&ETH;",   "&#208;",$textout);
    $textout = str_replace("&Ntilde;","&#209;",$textout);
    $textout = str_replace("&Ograve;","&#210;",$textout);
    $textout = str_replace("&Oacute;","&#211;",$textout);
    $textout = str_replace("&Ocirc;", "&#212;",$textout);
    $textout = str_replace("&Otilde;","&#213;",$textout);
    $textout = str_replace("&Ouml;",  "&#214;",$textout);
    $textout = str_replace("&times;", "&#215;",$textout);
    $textout = str_replace("&Oslash;","&#216;",$textout);
    $textout = str_replace("&Ugrave;","&#217;",$textout);
    $textout = str_replace("&Uacute;","&#218;",$textout);
    $textout = str_replace("&Ucirc;", "&#219;",$textout);
    $textout = str_replace("&Uuml;",  "&#220;",$textout);
    $textout = str_replace("&Yacute;","&#221;",$textout);
    $textout = str_replace("&THORN;", "&#222;",$textout);
    $textout = str_replace("&szlig;", "&#223;",$textout);
    $textout = str_replace("&agrave;","&#224;",$textout);
    $textout = str_replace("&aacute;","&#225;",$textout);
    $textout = str_replace("&acirc;", "&#226;",$textout);
    $textout = str_replace("&atilde;","&#227;",$textout);
    $textout = str_replace("&auml;",  "&#228;",$textout);
    $textout = str_replace("&aring;", "&#229;",$textout);
    $textout = str_replace("&aelig;", "&#230;",$textout);
    $textout = str_replace("&ccedil;","&#231;",$textout);
    $textout = str_replace("&egrave;","&#232;",$textout);
    $textout = str_replace("&eacute;","&#233;",$textout);
    $textout = str_replace("&ecirc;", "&#234;",$textout);
    $textout = str_replace("&euml;",  "&#235;",$textout);
    $textout = str_replace("&igrave;","&#236;",$textout);
    $textout = str_replace("&iacute;","&#237;",$textout);
    $textout = str_replace("&icirc;", "&#238;",$textout);
    $textout = str_replace("&iuml;",  "&#239;",$textout);
    $textout = str_replace("&eth;",   "&#240;",$textout);
    $textout = str_replace("&ntilde;","&#241;",$textout);
    $textout = str_replace("&ograve;","&#242;",$textout);
    $textout = str_replace("&oacute;","&#243;",$textout);
    $textout = str_replace("&ocirc;", "&#244;",$textout);
    $textout = str_replace("&otilde;","&#245;",$textout);
    $textout = str_replace("&ouml;",  "&#246;",$textout);
    $textout = str_replace("&divide;","&#247;",$textout);
    $textout = str_replace("&oslash;","&#248;",$textout);
    $textout = str_replace("&ugrave;","&#249;",$textout);
    $textout = str_replace("&uacute;","&#250;",$textout);
    $textout = str_replace("&ucirc;", "&#251;",$textout);
    $textout = str_replace("&uuml;",  "&#252;",$textout);
    $textout = str_replace("&yacute;","&#253;",$textout);
    $textout = str_replace("&thorn;", "&#254;",$textout);
    $textout = str_replace("&yuml;",  "&#255;",$textout);
  }
  return $textout;
}

$sito = $site[3];
if ($sito[strlen($sito)-1] != "/") {
 $sito .= "/";
}

function SelectPostFileDocidByStatusRss($Fields,$var_clos,$rankdoc,$var,$searchtype,$restriction) {
 global $lng,$lang,$fileid,$status,$moddate,$author,$email,$fielda1,$fielda2,$fieldb1,$fieldb2,$fieldc1,$fieldc2,$rss_cfg,$rss_web2;
 $DataDB = array();
 $k = 0;
 $now_time_file= strtotime ("now");
 $file_time_futur= strtotime ("+".$var_clos." day");
 for ($i = 0; $i < count($Fields); $i++) { 
  $param_file_time=filemtime(CHEMIN.DATAREP."doc".$Fields[$i][$rankdoc].INCEXT)+($var_clos*86400);
  if ($Fields[$i][0]==$searchtype and $param_file_time >=$now_time_file and $param_file_time < $file_time_futur) {
   ReadDoc(DBBASE.$Fields[$i][$rankdoc]);
   if($status=="a"){
		$DataDB[$k][0] = $fileid;
		$DataDB[$k][1] = $moddate; // FormatDate($moddate);
		$DataDB[$k][2]= $rss_web2." ".$author;
		if ($restriction == "yes"){
    	$affiche_0[0] = "";
			$affiche_1[0] = "";
		}
		else{
		  $affiche_0 = SplitText(strip_tags($fieldc1),$rss_cfg[2]);
			$affiche_1 = SplitText(strip_tags($fieldc2),$rss_cfg[2]);
		}
		if($var==1){
			$DataDB[$k][3]=$affiche_0[0];// texte tronqu premire langue
		}
    elseif($lng==$lang[0]){
	 		$DataDB[$k][3]=$affiche_0[0];// texte tronqu premire langue
		}
		else {
	 		$DataDB[$k][3]=$affiche_1[0];// texte tronqu deuxime langue
		}
    $k++;
   }
  }
 }
 return $DataDB;
}

function CompData($a, $b) {
 if ($a[6] == $b[6]) {
  return 0;
 }
 return ($a[6] > $b[6]) ? -1 : 1;
}

function SelectPostFileByStatusRss($Fields,$var_clos,$rankdoc,$var,$restriction) {
 global $lng,$lang,$fileid,$status,$moddate,$author,$email,$fielda1,$fielda2,$fieldb1,$fieldb2,$fieldc1,$fieldc2,$rss_cfg,$rss_web2;
 $DataDB = array();
 $k = 0;
 $now_time_file= strtotime ("now");
 $file_time_futur= strtotime ("+".$var_clos." day");
 for ($i = 0; $i < count($Fields); $i++) {
  $param_file_time=@filemtime(CHEMIN.DATAREP."doc".$Fields[$i][$rankdoc].INCEXT)+($var_clos*86400);
  if ($param_file_time >=$now_time_file and $param_file_time < $file_time_futur) {
   ReadDoc(DBBASE.$Fields [$i][$rankdoc]);
   if($status=="a"){
		if ($restriction == "yes"){
    	$affiche_0[0] = "";
			$affiche_1[0] = "";
		}
		else{
			$affiche_0 = SplitText(strip_tags($fieldc1),$rss_cfg[2]);
			$affiche_1 = SplitText(strip_tags($fieldc2),$rss_cfg[2]);
		}
		$DataDB[$k][0] = $fileid;
		$DataDB[$k][1] = $moddate; // FormatDate($moddate);
		$DataDB[$k][6] = -($moddate);
		if(empty($var)){
	 		if($lng==$lang[0]){
      $DataDB[$k][2]=$fieldb1." - ".$rss_web2." ".$author;// titre premire langue
      $DataDB[$k][3]=$affiche_0[0];// texte tronqu premire langue
	 		}else{
      	$DataDB[$k][2]=$fieldb2." - ".$rss_web2." ".$author;// titre seconde langue
	  		$DataDB[$k][3]=$affiche_1[0];// texte tronqu seconde langue
			}
		}
		elseif($var==2){
	 		$DataDB[$k][0]=$fielda2;
	 		$DataDB[$k][2]=$web6." ".$author;
	 		$DataDB[$k][3]=$affiche_0[0];// texte tronqu premire langue
		}
    else{
	 		$DataDB[$k][2]=$web6." ".$author;
	 		$DataDB[$k][3]=$affiche_1[0];// texte tronqu deuxime langue
		}
    $k++;
   }
  }
 }
 usort($DataDB, "CompData");
 return $DataDB;
}

// Create items from DB
function RssItems($Varfields,$Titretexte,$Var_link,$var_img,$var_temps) {
 global $lng,$site,$rss_web2,$rss_web3,$sito;
 $ISOcode = "88591";
 if (!empty($Varfields)) {
  $xmlfct = "";
  for ($i = count($Varfields)-1; $i >= 0; $i--) {
   $xmlfct .= "<item>";
   $xmlfct .= "<title>".$Titretexte.EncodeISO($Varfields[$i][2]." ".$rss_web3." ".FormatDate($Varfields[$i][1]),$ISOcode)."</title>\n";
   $xmlfct .= "<link>".$sito.$Var_link.".php?lng=".$lng."&amp;pg=".$Varfields[$i][0]."</link>\n";
   $xmlfct .= "<pubDate>".date("r",strtotime(ereg_replace('^([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})$','\\2/\\3/\\1 \\4:\\5:00 +0200', $Varfields[$i][1])))."</pubDate>\n"; 
   $xmlfct .= "<description>".EncodeISO($Varfields[$i][3],$ISOcode)."...</description>\n";
   $xmlfct .= "<guid>".$sito.$Var_link.".php?lng=".$lng."&amp;pg=".$Varfields[$i][0];
   if ($var_img=="reaction"){ $xmlfct .= "&amp;rp=react";}
   $xmlfct .= "</guid>\n";
   $xmlfct .= "</item>";	
  }
 return $xmlfct;
 }
}

// update RSS counter
function RssUpCounter(){

}

// Members area test
function RSSGestionMembre($section){
	global $members, $rss_cfg;
	if ($members[0] == "on" && $members[$section] == "on" && $rss_cfg[7] == "pub"){
		$rssmembre = "no";
	}
	elseif ($members[0] == "on" && $members[$section] == "on" && $rss_cfg[7] == "mbr"){
		$rssmembre = "yes";
	}
	else {
		$rssmembre = "";
	}
	return $rssmembre;
}

echo "<"."?xml version=\"1.0\" encoding=\"ISO-8859-1\" ?".">\n";
/*echo "<"."?xml-stylesheet title=\"XSL_formatting\" type=\"text/xsl\" href=\"".$sito."plugins/total_rss/rss.xsl\"?".">\n";*/
echo "<rss version=\"2.0\">\n<channel>\n";

for ($i=0;$i<=11;$i++){ if ($fl == $i) {$RssSection = " - ".$rss_web[$i]; break;} }

echo "<title>".EncodeISO($site[0].$RssSection,$ISOcode)."</title>\n";
echo "<link>".$sito."</link>\n";
echo "<description>".EncodeISO($site[1],$ISOcode)."</description>\n";
echo "<copyright>".EncodeISO($site[14],$ISOcode)."</copyright>\n";
echo "<language>".$lng."</language>\n";
if (($rss_cfg[5] == "logo" && $page[4]!= "") || ($rss_cfg[5] == "img" && $rss_cfg[6] != "")) {
	$rsslogo = ($rss_cfg[5] == "logo") ? $page[4] : $rss_cfg[6];
	echo "<image>
<url>".$sito."img/".$rsslogo."</url>\n";
	echo "<title>".EncodeISO($site[0].$RssSection,$ISOcode)."</title>\n";
	echo "<link>".$sito."</link>\n";
	echo "<description>".EncodeISO($site[1],$ISOcode)."</description>\n";
	echo "</image>";
}
$jourdui= date("D, d M Y H:i:s +0100");
echo "<pubDate>".$jourdui."</pubDate>\n";

// News
$rssmembre = RSSGestionMembre(13);
if (((($fl == 0 && $rss_cfg_sect[1][1] == "on") || $fl == 1) && $rss_cfg_sect[1][2] != "") && $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."1.xml") || @filemtime(TRSSCACHE."1.xml")<(time()-$rss_cfg_sect[1][3])) {
  $dbworkRss_news = SelectPostFileDocidByStatusRss(ReadDBFields(DOCID),$rss_cfg_sect[1][2],1,"",TYP_NEWS,$rssmembre);
  if (!empty($dbworkRss_news)) {
   $flux1 = RssItems($dbworkRss_news,$rss_web11,"news","news",$rss_cfg_sect[1][2]);
  }
  WriteFullDB(TRSSCACHE."1.xml",$flux1);
 }
 include (TRSSCACHE."1.xml");
} // End News

// Forum
if ((($fl == 0 && $rss_cfg_sect[2][1] == "on") || $fl == 2) && $rss_cfg_sect[2][2] != ""){
 if (!file_exists(TRSSCACHE."2.xml") || @filemtime(TRSSCACHE."2.xml")<(time()-$rss_cfg_sect[2][3])) { 
  if(empty($rss_cfg_sect[2][4])){$rss_cfg_sect[2][4]="10";}
  $xml = "";
  $longueur = $rss_cfg[2];
  switch($rss_cfg_sect[2][5]){
   case "cf":
    $plugaforkCF = "oui";
    $config_forks[31] = $rss_cfg_sect[2][2];
    $config_forks[32] = $rss_cfg_sect[2][4];
    if (file_exists(CHEMIN."plugins/coolforum/coolforum_rss.php")) {
     include(CHEMIN."plugins/coolforum/coolforum_rss.php");
    }
   break; 
   case "ugf":
    $plugaforkUGF = "oui";
    $config_forks[31] = $rss_cfg_sect[2][2];
    $config_forks[32] = $rss_cfg_sect[2][4];
    if (file_exists(CHEMIN."plugins/ugf/ugf_rss.php")) {
     include(CHEMIN."plugins/ugf/ugf_rss.php");
    }
   break;
   default: 

    $dbworkRss_forum = ReadDBFields(DBTHREAD);
    if (!empty($dbworkRss_forum)) {
     if ($lng == $lang[0]) { $l = 0; }
     else { $l = 1; }
     if ($serviz[18] == "on") {
      $dbworkcat = ReadDBFields(DBFORUMCAT);
     }
     $dbfor = ReadDBFields(DBFORUM);
     $dbmess = array();
     $j = 0;
     $now_time_file= strtotime ("now");
     $file_time_futur= strtotime ("+".$rss_cfg_sect[2][2]." day");
     for ($i = count($dbworkRss_forum)-1; $i >= Max(0,count($dbworkRss_forum)- $rss_cfg_sect[2][4]); $i--) {
      $param_file_time=@filemtime(CHEMIN.DATAREP."doc".$dbworkRss_forum[$i][3].INCEXT)+($rss_cfg_sect[2][2]*86400);
      if ($param_file_time >=$now_time_file and $param_file_time < $file_time_futur) {    
  	   ReadDoc(DBBASE.$dbworkRss_forum[$i][3]);
       if ($fielda2 == "0") {
        $dbmess[$j][0] = $fileid;
       }
       else {
        for ($k = 0; $k < count($dbfor); $k++) {
         if ($fielda1 == $dbfor[$k][1]) {
          $fieldb2 = $dbfor[$k][12];
          $dbmess[$j][0] = $dbfor[$k][2];
         }
        }
       }
       $dbmess[$j][1] = $fieldb2;
       for ($k = 0; $k < count($dbworkcat); $k++) {
        if ($dbworkcat[$k][0] == $fieldb2) {
         $dbmess[$j][2] = $dbworkcat[$k][$l+1];
        }
       }
       $tabc = SplitText(strip_tags($fieldc1),$rss_cfg[2]);
       $dbmess[$j][3] = $tabc[0];
       $dbmess[$j][4] = $moddate;
       $dbmess[$j][5] = $author; 
       $j++;
      }
     }

     if(!empty($dbmess)){
      if($rss_cfg_sect[2][5] =="c6"){
       $goto="plugins/forum/";
      }
      else{
       $goto="";		
      }	
	
      for ($i = 0; $i < count($dbmess); $i++) {
       $xml .= "<item>";
       if ($serviz[18] == "on") {
	    $star = strrpos($dbmess[$i][2], '*');
	    if($star !=0 && $rss_cfg_sect[2][5] == "of") {
	     $dbmess[$i][2] = substr($dbmess[$i][2],0,$star);
	    }
        $xml .= "<title>".$rss_web12.EncodeISO($dbmess[$i][2]." - ".$rss_web2." ".$dbmess[$i][5]." ".$rss_web3." ".FormatDate($dbmess[$i][4]),$ISOcode)."</title>\n";
        $xml .= "<link>".$sito.$goto."thread.php?lng=".$lng."&amp;pg=".$dbmess[$i][0]."&amp;cat=".$dbmess[$i][1]."</link>\n";
	    $xml .= "<guid>".$sito.$goto."thread.php?lng=".$lng."&amp;pg=".$dbmess[$i][0]."&amp;cat=".$dbmess[$i][1]."</guid>\n";
	   }
       else {
        $xml .= "<title>".$rss_web12.EncodeISO($dbmess[$i][0]." - ".$rss_web2." ".$dbmess[$i][5]." ".$rss_web3." ".FormatDate($dbmess[$i][4]),$ISOcode)."</title>\n";
        $xml .= "<link>".$sito.$goto."thread.php?lng=".$lng."&amp;pg=".$dbmess[$i][0]."</link>\n";
	    $xml .= "<guid>".$sito.$goto."thread.php?lng=".$lng."&amp;pg=".$dbmess[$i][0]."</guid>\n";
       }
	   $xml .= "<pubDate>".date("r",strtotime(ereg_replace('^([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})$','\\2/\\3/\\1 \\4:\\5:00 +0200', $dbmess[$i][4])))."</pubDate>\n"; 
       $xml .= "<description>".EncodeISO($dbmess[$i][3],$ISOcode)."</description>\n";
       $xml .= "</item>";
      }
     }
    }
   break;
  }
  $flux2 = $xml;
  WriteFullDB(TRSSCACHE."2.xml",$flux2);
 }
 include (TRSSCACHE."2.xml");
}// End Forum

// Articles
$rssmembre = RSSGestionMembre(1);
if (((($fl == 0 && $rss_cfg_sect[3][1] == "on") || $fl == 3) && $rss_cfg_sect[3][2] != "") && $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."3.xml") || @filemtime(TRSSCACHE."3.xml")<(time()-$rss_cfg_sect[3][3])) {
  $dbworkRss_art = SelectPostFileByStatusRss(ReadDBFields(DBART),$rss_cfg_sect[3][2],4,"");
  if (!empty($dbworkRss_art)) {
   $flux3 = RssItems($dbworkRss_art,$rss_web13,"articles","articles",$rss_cfg_sect[3][2]);
  }
  WriteFullDB(TRSSCACHE."3.xml",$flux3);
 }
 include (TRSSCACHE."3.xml");
}// End Articles

// Reactions
$rssmembre = RSSGestionMembre(11);
if (((($fl == 0 && $rss_cfg_sect[4][1] == "on") || $fl == 4) && $rss_cfg_sect[4][2] != "")&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."4.xml") || @filemtime(TRSSCACHE."4.xml")<(time()-$rss_cfg_sect[4][3])) {
  $dbworkRss_reac = SelectPostFileByStatusRss(ReadDBFields(DBREACT),$rss_cfg_sect[4][2],0,2);
  if (!empty($dbworkRss_reac)) {
			if ($rss_cfg_sect[4][4]=="") $flux4 = RssItems($dbworkRss_reac,$rss_web14,"articles","reaction",$rss_cfg_sect[4][2]);
			else {
  		$flux4 = "";
  		for ($i = count($dbworkRss_reac)-1; $i >= 0; $i--) {
				 ReadDoc(DBBASE.$dbworkRss_reac[$i][0]);
     $titrearticle = $lng == $lang[0] ? $fieldb1 : $fieldb2;
//  dtection du type d'article ou news ou agenda
				 if ($type == "ar"){$typedarticle = "articles"; $titretype = $rss_web[3];}
     if ($type == "ne"){$typedarticle = "newscomment"; $titretype = $rss_web[1];}
     if ($type == "ag"){$typedarticle = "agendacomment"; $titrearticle = $fielda1; $titretype = $rss_web[10];}
//   jusqu'ici
   	 $flux4 .= "<item>";
   		$flux4 .= "<title>Reac ".EncodeISO($titretype,$ISOcode)." > ".EncodeISO($titrearticle." - ".$dbworkRss_reac[$i][2]." ".$rss_web3." ".FormatDate($dbworkRss_reac[$i][1]),$ISOcode)."</title>\n";
   		$flux4 .= "<link>".$sito.$typedarticle.".php?lng=".$lng."&amp;pg=".$dbworkRss_reac[$i][0]."</link>\n";
   		$flux4 .= "<pubDate>".date("r",strtotime(ereg_replace('^([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})$','\\2/\\3/\\1 \\4:\\5:00 +0200', $dbworkRss_reac[$i][1])))."</pubDate>\n";
   		$flux4 .= "<description>".EncodeISO($dbworkRss_reac[$i][3],$ISOcode)."...</description>\n";
   		$flux4 .= "<guid>".$sito.$typedarticle.".php?lng=".$lng."&amp;pg=".$dbworkRss_reac[$i][0];
   		if ($var_img=="reaction"){ $xmlfct .= "&amp;rp=react";}
   		$flux4 .= "</guid>\n";
   		$flux4 .= "</item>";
  		}
			}
  }
  WriteFullDB(TRSSCACHE."4.xml",$flux4);
 }
 include (TRSSCACHE."4.xml");
}// End ractions

// Linuxmr Compatibilit Openfiches ===>
if ((($fl == 0 && $rss_cfg_sect[5][1] == "on") || $fl == 5) && $rss_cfg_sect[5][2] != ""){
 if (!file_exists(TRSSCACHE."5.xml") || @filemtime(TRSSCACHE."5.xml")<(time()-$rss_cfg_sect[5][3])) {
  if (file_exists(CHEMIN."plugins/openfiches/data/fiches-config.inc")) {
   include(CHEMIN."plugins/openfiches/data/fiches-config.inc");
  }
  $configfiches[50] = $rss_cfg_sect[5][2];
  if (file_exists(CHEMIN."plugins/openfiches/data/copiefiches.inc")) {
  /* Vrification si prsence du fichier contenant toutes les openfiches cres par copiefiches,  un seul rpertoire est prsent  l'installation de Openfiches */
   $xml = "";
   include (CHEMIN."plugins/openfiches/cd_rss.php");
   $flux5 = $xml;
  }
  WriteFullDB(TRSSCACHE."5.xml",$flux5);
 }
 include (TRSSCACHE."5.xml");
}
// <=== Linuxmr Compatibilit Openfiches 

// Links
$rssmembre = RSSGestionMembre(3);
if (((($fl == 0 && $rss_cfg_sect[6][1] == "on") || $fl == 6) && $rss_cfg_sect[6][2] != "")&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."6.xml") || @filemtime(TRSSCACHE."6.xml")<(time()-$rss_cfg_sect[6][3])) {
  $dbworkRss_link = SelectPostFileByStatusRss(ReadDBFields(DBLINKS),$rss_cfg_sect[6][2],4,"");
  if (!empty($dbworkRss_link)) {
   $flux6 = RssItems($dbworkRss_link,$rss_web16,"links","links",$rss_cfg_sect[6][2]);
  }
  WriteFullDB(TRSSCACHE."6.xml",$flux6);
 }
 include (TRSSCACHE."6.xml");
}// End Links

// Download
$rssmembre = RSSGestionMembre(7);
if (((($fl == 0 && $rss_cfg_sect[7][1] == "on") || $fl == 7) && $rss_cfg_sect[7][2] != "")&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."7.xml") || @filemtime(TRSSCACHE."7.xml")<(time()-$rss_cfg_sect[7][3])) {
  $dbworkRss_dwnld = SelectPostFileByStatusRss(ReadDBFields(DBDNLOAD),$rss_cfg_sect[7][2],4,"");
  if (!empty($dbworkRss_dwnld)) {
   if($rss_cfg_sect[7][4] == "on"){ // compatibilit downloadplus
    $flux7 = RssItems($dbworkRss_dwnld,$rss_web17,"downloadplus","download",$rss_cfg_sect[7][2]);
   }
   else {
    $flux7 = RssItems($dbworkRss_dwnld,$rss_web17,"download","download",$rss_cfg_sect[7][2]);
   }
  }
  WriteFullDB(TRSSCACHE."7.xml",$flux7);
 }
 include (TRSSCACHE."7.xml");
} // End Download

// Photos
$rssmembre = RSSGestionMembre(2);
if (((($fl == 0 && $rss_cfg_sect[8][1] == "on") || $fl == 8) && $rss_cfg_sect[8][2] != "")&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."8.xml") || @filemtime(TRSSCACHE."8.xml")<(time()-$rss_cfg_sect[8][3])) {
  $dbworkRss_photo = SelectPostFileByStatusRss(ReadDBFields(DBPHOTO),$rss_cfg_sect[8][2],4,"");
  if (!empty($dbworkRss_photo)) {
   if ($rss_cfg_sect[8][4] == "on") {$fotoname = CHEMIN."plugins/photogd/photogd";}
   elseif ($serviz[21] == "on") {$fotoname = "photorama";}
   else {$fotoname = "photos";}
   $flux8 = RssItems($dbworkRss_photo,$rss_web18,$fotoname,"photo",$rss_cfg_sect[8][2]);
  }
  WriteFullDB(TRSSCACHE."8.xml",$flux8);
 }
 include (TRSSCACHE."8.xml");
}// End Photos

// Guestbook
$rssmembre = RSSGestionMembre(12);
if (((($fl == 0 && $rss_cfg_sect[9][1] == "on") || $fl == 9) && $rss_cfg_sect[9][2] != "")&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."9.xml") || @filemtime(TRSSCACHE."9.xml")<(time()-$rss_cfg_sect[9][3])) {
  $dbworkRss_guest = SelectPostFileDocidByStatusRss(ReadDBFields(DOCID),$rss_cfg_sect[9][3],1,1,TYP_GUESTBK);
  if (!empty($dbworkRss_guest)) {
   $flux9 = RssItems($dbworkRss_guest,$rss_web19,"guestbk","guestbk",$rss_cfg_sect[9][3]);
  }
  WriteFullDB(TRSSCACHE."9.xml",$flux9);
 }
 include (TRSSCACHE."9.xml");
} // End Guestbook

// Agenda
$rssmembre = RSSGestionMembre(14);
if (((($fl == 0 && $rss_cfg_sect[10][1] == "on") || $fl == 10) && ($rss_cfg_sect[10][2] != "" || $rss_cfg_sect[10][4] != ""))&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."10.xml") || @filemtime(TRSSCACHE."10.xml")<(time()-$rss_cfg_sect[10][3])) {
  $dbworkRss_agenda = ReadDBFields(DBAGENDA);
  if (!empty($dbworkRss_agenda)) {
   $DataDB = array();
   $k = 0;
   $event_time_past= strtotime (date("m/d/Y"))-($rss_cfg_sect[10][2]*86400);
   $event_time_futur= strtotime (date("m/d/Y"))+($rss_cfg_sect[10][4]*86400);
   for ($i = 0; $i < count($dbworkRss_agenda); $i++) { 
    $param_file_time=strtotime(ereg_replace('^([0-9]{2})/([0-9]{2})/([0-9]{4})$','\\2/\\1/\\3', $dbworkRss_agenda[$i][0]));
    if ($param_file_time >= $event_time_past and $param_file_time <= $event_time_futur) {
     ReadDoc(DBBASE.$dbworkRss_agenda[$i][4]);
     if($status=="a"){
      $affiche_0 = SplitText(strip_tags($fieldc1),$rss_cfg[2]);
	  $affiche_1 = SplitText(strip_tags($fieldc2),$rss_cfg[2]); 
	  $DataDB[$k][0] = $fileid;
	  $DataDB[$k][1] = $author;
	  $DataDB[$k][2]=$fielda1;// date de l'vnement
	  if($lng==$lang[0]){
       $DataDB[$k][3]=$affiche_0[0];// texte tronqu premire langue
	  }else{
	   $DataDB[$k][3]=$affiche_1[0];// texte tronqu seconde langue
	  }
	  $DataDB[$k][4]=$param_file_time; //timestamp pour trier
	  $DataDB[$k][5]= date("r",strtotime(ereg_replace('^([0-9]{4})([0-9]{2})([0-9]{2})([0-9]{2})([0-9]{2})$','\\2/\\3/\\1 \\4:\\5:00 +0200', $moddate)));
	  $k++;
     }
    }
   }
   function CompareAgenda($a, $b) {
    if ($a[4] == $b[4]) {
     return 0;
    }
    return ($a[4] > $b[4]) ? -1 : 1;
   }
   usort($DataDB, "CompareAgenda");
   $dbworkRss_agenda = $DataDB;
   if (!empty($dbworkRss_agenda)) {
    $flux10 = "";
    for ($i = count($dbworkRss_agenda)-1; $i >= 0; $i--) {
     $flux10 .= "<item>";
     $flux10 .= "<title>".$rss_web20.$dbworkRss_agenda[$i][2]."</title>\n";
     $flux10 .= "<link>".$sito."agenda.php?lng=".$lng."&amp;pg=".$dbworkRss_agenda[$i][0]."&amp;agv=1</link>\n";
	 $flux10 .= "<pubDate>".$dbworkRss_agenda[$i][5]."</pubDate>\n"; 
     $flux10 .= "<description>".EncodeISO($dbworkRss_agenda[$i][3],$ISOcode)."...</description>\n";
	 $flux10 .= "<guid>".$sito."agenda.php?lng=".$lng."&amp;pg=".$dbworkRss_agenda[$i][0]."&amp;agv=1</guid>\n";
     $flux10 .= "</item>";
    }
   }
  }
  WriteFullDB(TRSSCACHE."10.xml",$flux10);
 }
 include (TRSSCACHE."10.xml");
} // End Agenda

// FAQ
$rssmembre = RSSGestionMembre(4);
if (((($fl == 0 && $rss_cfg_sect[11][1] == "on") || $fl == 11) && $rss_cfg_sect[11][2] != "")&& $rssmembre != "no"){
 if (!file_exists(TRSSCACHE."11.xml") || @filemtime(TRSSCACHE.".xml")<(time()-$rss_cfg_sect[11][3])) {
  $dbworkRss_faq = SelectPostFileByStatusRss(ReadDBFields(DBFAQ),$rss_cfg_sect[11][3],4,"");
  if (!empty($dbworkRss_faq)) {
   $flux11 = RssItems($dbworkRss_faq,$rss_web21,"faq","faq",$rss_cfg_sect[11][3]);
  }
  WriteFullDB(TRSSCACHE."11.xml",$flux11);
 }
 include (TRSSCACHE."11.xml");
} // End FAQ

echo "</channel></rss>";
?>