<?php
/*
    News RSS - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v3.0 (25 February 2004)  : initial release
      v3.0p1 (26 Feb 2004)     : bug fix, if no icons set selected, then do not display news image
      v4.0 (06 December 2004)  : added page title (by Jean-Mi)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
      v4.5 (08 April 2005)     : corrected $item description (by JeanMi)
      v4.5.1 (06 July 2005)    : added editing date (thanks Tanet), enhanced presentation (by Icare)

     Modified for Total_RSS by HPSAM
*/

header("Pragma: no-cache");
define("CHEMIN", "../../");
include(CHEMIN."inc/includes.inc");

$fl = $_GET['fl'];
if (!(ereg("^([0-9]|1[0-1])$",$fl)) || !isset($_GET['fl'])) {
 $fl = 0;
}
$sito = $site[3];
if ($sito[strlen($sito)-1] != "/") {
 $sito .= "/";
}
$rssurl = $sito."plugins/total_rss/create_rss.php?fl=".$fl."&amp;lng=".$lng;
$rssurl2 = $sito."plugins/total_rss/newsrss.php?fl=".$fl."&amp;lng=".$lng;

include_once(CHEMIN."plugins/total_rss/function.inc");

$topmess = $rss_cfg[1];
if ($page[9] != "") {
  $topmess = "<img src=\"total_rss.gif\" align=\"right\" alt=\"RSS\">".$topmess;
}

include(CHEMIN."inc/hpage.inc");
htable($topmess,"100%");
include(CHEMIN."inc/lastRSS.inc");
$rss = new lastRSS;
$rss->cache_dir = "";
$rss->cache_time = "";
if ($rs = $rss->Get($rssurl)) {

	if ($rs['image_url'] != "") {
		echo "<center><img src='".$rs['image_url']."' border='0'></center>";
	}
	if ($rss_cfg[8] != 'on'){
		echo '<p class="forum"><a href="'.$rssurl.'" target="_blank"><img src="rss.gif" alt="RSS" style="vertical-align:middle; border:0;"></a> <strong><a href="'.$rs['link'].'" target="_blank">'.$rs['title'].'</a></strong></p>';
	}
	else {
		echo '<p class="forum"><strong><a href="'.$rs['link'].'" target="_blank">'.$rs['title'].'</a>&nbsp;&nbsp;
			<a href="http://www.ifeedreaders.com/subscribe.php?thefeed='.$rssurl.'" title ="'.$rss_web5.'"><img src="'.CHEMIN.'plugins/total_rss/subscribe.gif" alt="'.$rss_web6.'" border="0" title="'.$rss_web5.'" style="vertical-align:middle;" /></a>&nbsp;&nbsp;
			<a href="http://www.ifeedreaders.com/bookmark.php?theurl='.$rssurl2.'&thetitle='.$rs['title'].'" title="'.$rss_web7.'"><img src="'.CHEMIN.'plugins/total_rss/bookmark.gif" alt="'.$rss_web8.'" border="0" title="'.$rss_web7.'" style="vertical-align:middle;" /></a></p>';
	}
?>

<p><b><?php echo $rs['description']; ?></b></p>
<hr style="width:60%">
<?php
  foreach($rs['items'] as $item) {
    if ($item['title'] == "" && $item['link'] == "") {
      $txt = "";
    }
    elseif ($item['title'] == "") {
      $txt = "<a href=\"".$item['link']."\">".$item['link']."</a><br /><br />";
    }
    elseif ($item['link'] == "") {
      $txt = "<u>".$item['title']."</u><br /><br />";
    }
    else {
      $txt = "<a href=\"".$item['link']."\">".$item['title']."</a><br /><br />";
    }
    echo "<p class=\"rep\"><b>".$txt."</b>".html_entity_decode($item['description'])."</p>\n";
    if ($item['pubDate'] != "") {
      echo "<font color='#999999'>(";
      echo FormatDate($item['pubDate']).")</font>";
    }
    echo "<hr />";
  }
}
else {
  echo "<p>".$web262."</p>";
}
btable();	
include(CHEMIN."inc/bpage.inc");
?>
